﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using System.Diagnostics;

namespace TreeViewFunction
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'musicCollectionDataSet.Songs' table. You can move, or remove it, as needed.
            this.songsTableAdapter.Fill(this.musicCollectionDataSet.Songs);
            // TODO: This line of code loads data into the 'musicCollectionDataSet.Albums' table. You can move, or remove it, as needed.
            this.albumsTableAdapter.Fill(this.musicCollectionDataSet.Albums);
            // TODO: This line of code loads data into the 'musicCollectionDataSet.Artists' table. You can move, or remove it, as needed.
            this.artistsTableAdapter.Fill(this.musicCollectionDataSet.Artists);

            this.radTreeView1.DataSource = this.artistsBindingSource;
            this.radTreeView1.DisplayMember = "ArtistName";
            this.radTreeView1.ValueMember = "ArtistID";
            this.radTreeView1.RelationBindings.Add(new RelationBinding(this.albumsBindingSource, "AlbumName", "ArtistID", "ArtistID", "AlbumID"));
            this.radTreeView1.RelationBindings.Add(new RelationBinding(this.songsBindingSource, "SongName", "AlbumID", "AlbumID", "SongID"));

            IterateNodes(this.radTreeView1.Nodes);
        }

        public void IterateNodes(RadTreeNodeCollection nodes)
        {
            foreach (RadTreeNode node in nodes)
            {
                //process here
                Debug.WriteLine(node.Text);    
                
                if (node.Nodes.Count > 0)
                {
                    IterateNodes(node.Nodes);
                }
            }
        }
    }
}
